<?php
/*
 * -----------------------------------------------------------------------------
 * 
 * <p><b>License and Copyright: </b>The contents of this file are subject to
 * the Educational Community License (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the License
 * at <a href="http://www.opensource.org/licenses/ecl1.txt">
 * http://www.opensource.org/licenses/ecl1.txt.</a></p>
 * 
 * <p>Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.</p>
 * 
 * <p>The entire file consists of original code. Copyright &copy; 2004-2008
 * Cornell University. All rights reserved.</p>
 * 
 * -----------------------------------------------------------------------------
 */

include ('include/conf.php');
$meta_keywords = $submenuInfo['keywords'];
$meta_description = $submenuInfo['metadesc'];
$menu = "faq";
include ('theme/header.php');

$submenuInfo['title'] = "Frequently Asked Questions";
$submenuImage = "theme/images/questions_150.jpg";
$submenuInfo['description'] = ""; 
$hasSubmenuMoreInfo = false;
?>
    
    <!-- Start of Content -->
    <div id="content">
    
        <div id='submenuContent'>
          <?php echo "<h4>{$submenuInfo['title']}</h4>"; ?>

        <?php if ($hasSubmenuImage) { ?>
            <img class="submenuImage" src="<?php echo $submenuImage;?>" alt="<?php echo $submenuAltText;?>">
        <?php } ?>
        <?php 
//        if ($submenuInfo['description']) { 
//            echo getBody($submenuInfo['description'],true);
//            //echo html_entity_decode($submenuInfo['description']);
//        } else {
//            echo "There has been an error obtaining this page.";
//        }

        ?>

<p><table cellpadding="0" cellspacing="0" border="0"><tr><td>
<a href="#tns"><b>What is Technical Network Services (TNS)?</b></a><br>
<a href="#resourcesAccessible"><b>What kind of technical services and support can I get to make my digital resources accessible through NSDL?</b></a><br>
<a href="#contributeResource"><b>How do I contribute a resource?</b></a><br>
<a href="#contributeCollection"><b>How do I contribute a collection of resources?</b></a><br>
<a href="#catalogingTools"><b>Can I access cataloging tools?</b></a><br>
<a href="#harvest"><b>How do I set up an NSDL OAI harvest of my digital resources?</b></a><br>
<a href="#blog"><b>How do I get a blog?</b></a><br>
<a href="#wiki"><b>How do I get a wiki?</b></a><br>
<a href="#resourceCenter"><b>What is the Resource Center (RC)?</b></a><br>
<a href="#pathway"><b>What is a Pathway?</b></a><br>
<a href="#use"><b>Who can use NCore technologies and services?</b></a><br>
<a href="#contact"><b>How do I contact TNS?</b></a><br>
</td></tr></table></p>

<p><a name="tns" /><b>What is Technical Network Services (TNS)?</b>
</p><p>The National Science Foundation has funded a Technical Network Services (TNS) provider over the next four years to sustain the <a href="http://nsdl.org" class="external text" title="http://nsdl.org" rel="nofollow">National Science Digital Library's (NSDL)</a> technical infrastructure into the future. Activities include collections ingest and maintenance; help for NSF NSDL-funded Pathways and Services grantees to prepare and curate collections for inclusion in NSDL as detailed in the <a href="http://nsdl.org/collection" class="external text" title="http://nsdl.org/collection" rel="nofollow">Contribute Collections</a> section of the NSDL web site; operation of infrastructure and library; providing the NCORE technology and services platform for use by NSDL grantees; operation of NSDL.org to support dissemination of grantee collections, and; providing consulting and training to support NCore adoption and use and integrate community tools and services.
</p><p>The Technical Network Services project team is led by Cornell University in cooperation with partners at University of Colorado at Boulder, the University Corporation for Atmospheric Research and Columbia University.
</p><p>The TNS vision is to continue to create a new kind of digital library that integrates the best of traditional libraries, the powerful tools of Web 2.0, the organizational capabilities of the NSDL Pathways and partner societies, and the collective intelligence of all those who use and contribute to the library. Fulfilling this vision will create an intellectual commons, empowering scholars, scientists, teachers, librarians and students with the ability to work together to create knowledge and understanding.
</p><p>In pursuit of this vision and these goals, our mission  will be to work with our customers:  Pathways, services grantees, other NSF-funded projects, and outside partners, to harden, automate, and streamline all the existing tools and services; develop new tools and services to meet the specific educational needs of our customers and their users; and to develop and implement a business model that can support the continued operation of the central NSDL services beyond the term of this grant.
</p>

<p><a name="resourcesAccessible" /><b>What kind of technical services and support can I get to make my digital resources accessible through NSDL?</b>
</p><p>For help with preparing resources or collections for inclusion in NSDL please refer to the <a href="http://nsdl.org/collection" class="external text" title="http://nsdl.org/collection" rel="nofollow">Contribute Collections</a> section of the NSDL web site where you will find information about policies and metadata along with the <a href="http://nsdl.org/collection/blueprint.php" class="external text" title="http://nsdl.org/collection/blueprint.php" rel="nofollow">Collection Development Blueprint</a> and <a href="http://nsdl.org/collection/collection-branding.php" class="external text" title="http://nsdl.org/collection/collection-branding.php" rel="nofollow">Collection Branding Guidelines</a>. For help with setting up an OAI harvest please contact <a href="mailto:mr-ingest@nsdl.org" class="external text" title="mailto:mr-ingest@nsdl.org" rel="nofollow">the ingest staff</a>.
</p>

<p><a name="contributeResource"><b>How do I contribute a resource?</b>
</p><p>Please visit the <a href="http://nsdl.org" class="external text" title="http://nsdl.org" rel="nofollow">NSDL.org</a> web site and read the <a href="http://nsdl.org/contribute/" class="external text" title="http://nsdl.org/contribute/" rel="nofollow">Participate in NSDL</a> page.  Follow the <a href="http://recommend.nsdl.org/" class="external text" title="http://recommend.nsdl.org/" rel="nofollow">Recommend a Resource</a> link and fill in the required fields.  Recommended resources are reviewed and will be added to the library when approved.
</p>

<p><a name="contributeCollection" /><b>How do I contribute a collection of resources?</b>
</p><p>The guidelines for collection contribution are <a href="http://nsdl.org/collection/" class="external text" title="http://nsdl.org/collection/" rel="nofollow">here</a>.  Review the Contributing a Collection section.  Here you will find instructions and links to follow to start the process.  There are cataloging tools available to aid in the creation and maintenance of resource metadata.  These tools also allow for integration of resource metadata into the NSDL library.
</p>

<p><a name="catalogingTools" /><b>Can I access cataloging tools?</b>
</p><p>Yes.  Two examples are NCS, and CWIS.
</p><p>The <a href="http://ncore.nsdl.org/index.php?menu=tools&amp;submenu=tools!ncs" class="external text" title="http://ncore.nsdl.org/index.php?menu=tools&amp;submenu=tools!ncs" rel="nofollow">NCS</a> is a cataloging tool that utilizes the NCore platform to directly interact with the NSDL repository.  Visit the NCore documentation or follow the contact link for further information.
</p><p><a href="http://scout.wisc.edu/Projects/CWIS/" class="external text" title="http://scout.wisc.edu/Projects/CWIS/" rel="nofollow">CWIS</a> (pronounced see-wis) stands for "Collection Workflow Integration System." It is cataloging software that you may use to assemble, organize, manage, and share collections of metadata about resources. CWIS was specifically created to help build collections of Science, Technology, Engineering, and Math (STEM) resources and connect them into NSF's National Science Digital Library.
</p><p>Other cataloging tools are available.  Some OAI-PMH based tool information may be found at the <a href="http://www.openarchives.org/pmh/tools/tools.php" class="external text" title="http://www.openarchives.org/pmh/tools/tools.php" rel="nofollow">Open Archives Initiative</a> site.
</p>

<p><a name="harvest" /><b>How do I set up an NSDL OAI harvest of my digital resources?</b>
</p><p>When you <a href="http://recommend.nsdl.org/collection.php" class="external text" title="http://recommend.nsdl.org/collection.php" rel="nofollow">register a collection</a> with the NSDL you will provide all the information necessary to retrieve metadata from an OAI-PMH service.  For further technical help with the process, you may contact the <a href="mailto:mr-ingest@nsdl.org" class="external text" title="mailto:mr-ingest@nsdl.org" rel="nofollow">ingest staff</a>.
</p>

<p><a name="blog" /><b>How do I get a blog?</b>
</p><p>First, <a href="http://nsdl.org/help/?pager=authentication" class="external text" title="http://nsdl.org/help/?pager=authentication" rel="nofollow">register at NSDL.org</a>. Second, <a href="http://expertvoices.nsdl.org/help/tutorials/login" class="external text" title="http://expertvoices.nsdl.org/help/tutorials/login" rel="nofollow">sign in</a> at Expert Voices with your NSDL.org username and password. You will need to register with Expert Voices the first time you come back to the blog as a signed in user. Review the <a href="http://expertvoices.nsdl.org/help/tutorials/login/" class="external text" title="http://expertvoices.nsdl.org/help/tutorials/login/" rel="nofollow">Expert Voices Registration and Sign In Tutorial</a> for step-by-step instructions. Contact the <a href="mailto:clt6@cornell.edu" class="external text" title="mailto:clt6@cornell.edu" rel="nofollow">blog administrator</a> to set up a new blog or to get permission to post to an existing blog.
</p>

<p><a name="wiki" /><b>How do I get a wiki?</b>
</p><p>The process is similar to gaining entry to NSDL's blogosphere. <a href="http://nsdl.org/help/?pager=authentication" class="external text" title="http://nsdl.org/help/?pager=authentication" rel="nofollow">Register at NSDL.org</a> then <a href="http://wiki.nsdl.org/index.php/Help:Accounts" class="external text" title="http://wiki.nsdl.org/index.php/Help:Accounts" rel="nofollow">sign in</a> at the NSDL WIki with your NSDL.org username and password. Please <a href="http://nsdl.org/about/contactus/" class="external text" title="http://nsdl.org/about/contactus/" rel="nofollow">contact us</a> to be added to groups or restricted work areas.
</p>

<p><a name="resourceCenter" /><b>What is the Resource Center (RC)?</b>
</p><p>The Resource Center (RC) provides dissemination and coordination activities for the National Science Digital Library (NSDL) by engaging NSDL communities in four interrelated sets of tasks and activities: mobilization; synthesis; dissemination, and; analysis and evaluation.
</p><p>The RC project team is lead by the University Corporation for Atmospheric Research (UCAR). 
</p>

<p><a name="pathway" /><b>What is a Pathway?</b>
</p><p>NSDL Pathways are partners funded by NSF to provide access to audience-specific views of appropriate NSDL resources and services (portals). Pathway audiences may be grouped by grade level, discipline, resource or data type, or some other designation. More information is available <a href="http://nsdl.org/about/?pager=pathways" class="external text" title="http://nsdl.org/about/?pager=pathways" rel="nofollow">here.</a>
</p>

<p><a name="use" /><b>Who can use NCore technologies and services?</b>
</p><p>NSF-funded NSDL Pathways and services projects are key TNS customers. Other digital library groups or organizations are also invited to take advantage of <a href="http://ncore.nsdl.org" class="external text" title="http://ncore.nsdl.org" rel="nofollow">NCore</a> open source software which is built on top of Fedora repository software.
</p>

<p><a name="contact" /><b>How do I contact TNS?</b>
</p><p>Have another question you want answered?  You can contact us using our <a href="http://tns.nsdl.org/GettingStarted.php#contact" class="external text" title="http://tns.nsdl.org/GettingStarted.php#contact" rel="nofollow">Contact Form</a>.
</p>

        <?php if ($hasSubmenuMoreInfo) { ?>
            <p>For more information, see <?php echo $submenuMoreInfoLink?></p>.
        <?php } ?>
        </div>
        
    <!-- End of Content -->
    </div>
    
<?php
include ('theme/footer.php');
 ?>


