<?php
/*
 * -----------------------------------------------------------------------------
 * 
 * <p><b>License and Copyright: </b>The contents of this file are subject to
 * the Educational Community License (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the License
 * at <a href="http://www.opensource.org/licenses/ecl1.txt">
 * http://www.opensource.org/licenses/ecl1.txt.</a></p>
 * 
 * <p>Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.</p>
 * 
 * <p>The entire file consists of original code. Copyright &copy; 2004-2008
 * Cornell University. All rights reserved.</p>
 * 
 * -----------------------------------------------------------------------------
 */

include ('include/conf.php');
$meta_keywords = $submenuInfo['keywords'];
$meta_description = $submenuInfo['metadesc'];
$includeValidationCode = true;
$menu = "gs";
include ('theme/header.php');

$debugging = false;

$thankyou = "Thank you for your question.";
$showThankyou = false;

$fileError = "I'm sorry, a system error occurred while processing your suggestion.  Please try again.";
$showFileError = false;

$validationError = "ERROR: Incorrect Validation Code";
$showValidationError = false;

$submenuInfo['title'] = "Getting Started";
$submenuImage = "theme/images/maze_150.jpg";
$submenuInfo['description'] = "";
$hasSubmenuMoreInfo = false;
?>

<?php
$fldVisitorName        = $_POST['fldVisitorName'];
$fldVisitorEmail       = $_POST['fldVisitorEmail'];
$fldVisitorPhone       = $_POST['fldVisitorPhone'];
$fldVisitorAffiliation = $_POST['fldVisitorAffiliation'];
$fldQuestion           = $_POST['fldQuestion'];
$fldValidator          = $_POST['fldValidator'];

$fldVisitorName        = isset($fldVisitorName) ? $fldVisitorName : "";
$fldVisitorEmail       = isset($fldVisitorEmail) ? $fldVisitorEmail : "";
$fldVisitorPhone       = isset($fldVisitorPhone) ? $fldVisitorPhone : "";
$fldVisitorAffiliation = isset($fldVisitorAffiliation) ? $fldVisitorAffiliation : "";
$fldQuestion           = isset($fldQuestion) ? $fldQuestion : "";
$fldValidator          = isset($fldValidator) ? $fldValidator : "";

if (@$HTTP_POST_VARS["cat"] == "new") {
	if($fldValidator != $_SESSION['rand_verify_key']) {
		$showValidationError = true;
	} else {
		// process form data here
		$subject = substr(trim(preg_replace('/\s\s+/', ' ', $fldQuestion)),0,135);
		$txt =  "From: contactus@nsdl.org".
				"\nTo: contactus@nsdl.org".
				"\nSubject: Contact Form: ".$subject.
				"\nDate: ".date('D, d M Y H:i:s O').
				"\n".
				"\nComponent: Question;".
				"\n".
				"\n-------------------".
				"\nContact Information".
				"\n-------------------".
				"\nName: ".$fldVisitorName.";".
				"\nEmail: ".$fldVisitorEmail.";".
				"\nPhone: ".$fldVisitorPhone.";".
				"\nAffiliation: ".$fldVisitorAffiliation.";".
				"\n".
				"\n-------------------".
				"\nQuestion".
				"\n-------------------".
				"\n".$fldQuestion.
				"\n\n";
		
		// save to file
		$prefix = "contact_form_";
		$index = 0;
		$file_exists = true;
		do{
			$filename = $jiradir.$prefix.$index;
			if( file_exists($filename))
				$index++;
			else
				$file_exists = false;
		}while( $file_exists );
		
		$ferr=0;
		if($ferr==0){$fil = fopen($filename,'x'); if( $fil === false ) $ferr=1; } 
		if($ferr==0){$num_bytes = fwrite($fil,$txt); if( $num_bytes === false ) $ferr=2; }
		if($ferr==0){$res = fclose($fil); if($res === false) $ferr=3; }

		switch($ferr){
			case 0:
				$fldVisitorName        = "";
				$fldVisitorEmail       = "";
				$fldVisitorPhone       = "";
				$fldVisitorAffiliation = "";
				$fldQuestion           = "";
				$fldValidator          = "";
				$showThankyou = true;
				break;
			case 1:
				$showFileError = true;
// message to show when debugging
if($debugging)$fileError = "Unable to create file.";
				break;
			case 2:
				$showFileError = true;
// message to show when debugging
if($debugging)$fileError = "Error writing to file.";
				break;
			case 3:
				$showFileError = true;
// message to show when debugging
if($debugging)$fileError = "Error closing file.";
				break;
			default:
				$showFileError = true;
				break;
		}		
// debugging
if($debugging && $ferr>0) echo "<pre>".$txt."</pre>";
	} // end validation successful
	
	// unset wether or not validation was successful
	unset($_SESSION['rand_verify_key']);
	
} // end form was submitted processing

// check to see if we need to generate a new validation key
if(empty($_SESSION['rand_verify_key'])){
	$_SESSION['rand_verify_key'] = randString(4);
}
?>
    
    <!-- Start of Content -->
    <div id="content">
    
        <div id='submenuContent'>
          <?php echo "<h4>{$submenuInfo['title']}</h4>"; ?>

        <?php if ($hasSubmenuImage) { ?>
            <img class="submenuImage" src="<?php echo $submenuImage;?>" alt="<?php echo $submenuAltText;?>">
        <?php } ?>

<p><a href="#available"><b>Available Now</b></a><br>
<a href="#extended"><b>Extended Services</b></a><br>
<a href="#contact"><b>Contact Us</b></a><br>
</p>
<br><br><br><hr>
<a name="available"/>
<b>Available Now</b>

<p>NCore includes a suite of <a href="http://ncore.nsdl.org/">Software Tools and Services</a>.  Some of these can be used from our installations with a certain amount of configuration.  Much of our software is open source and available for you to install at your site. </p>

<p>Among the software and services that are available now are...</p>
<dl>
  <dt>Technical guidance for contributing new data and resources to the NSDL</dt>
    <dd>There are several ways to contribute <a href="http://nsdl.org/collection#resource" class="external text" title="http://nsdl.org/collection#resource" rel="nofollow">individual resources</a> or <a href="http://nsdl.org/collection#collection" class="external text" title="http://nsdl.org/collection#collection" rel="nofollow"> collections</a> to the NSDL including harvesting of OAI-PMH, collection management through NCS, and creation of resources in Expert Voices and NSDL Wiki.  You can find general guidance in the <a href="http://nsdl.org/collection/metadata-guide.php#share" class="external text" title="http://nsdl.org/collection/metadata-guide.php#share" rel="nofollow">metadata guide</a>.  New methods for contributing are being explored.  Check back to learn about new options as they are made available.</dd>

  <dt>Harvest and maintain data and resources</dt>
    <dd>Contributors who provide OAI-PHM metadata to NSDL may monitor the status of ongoing OAI harvests with the <a href="http://harvest.nsdl.org" class="external text" title="http://harvest.nsdl.org" rel="nofollow">NSDL harvest manager service</a>.  This allows individual providers to view status, logs, validity, and history of harvests on their data.  In addition to this automated service, NSDL staff continually monitor successful and failed harvests, and will notify and assist providers if difficulties are encountered harvesting their data.</dd>

  <dt>Access to resources, data, and value-added context</dt>
    <dd>Resources and metadata are available at NSDL.org in multiple forms and through various services such as Search, Collection Browse and Science Literacy Maps. Resources are <a href="http://nsdl.org/collection/collection-branding.php" class="external text" title="http://nsdl.org/collection/collection-branding.php" rel="nofollow">branded</a> by the collections in which they appear, and are described by pages that aggregate all contributed and value-added data and descriptions about them. Contributed metadata is 	available for harvest from NSDL in simple and qualified Dublin Core via OAI-PMH, and all data are fully accessible via a <a href="http://ndr.comm.nsdl.org/doc/api.pdf" class="external text" title="http://ndr.comm.nsdl.org/doc/api.pdf" rel="nofollow">repository API</a>.</dd>
      
  <dt>Space in the Expert Voices blogosphere</dt>
    <dd>Any member of the NSDL community may sign up with Expert Voices allowing them to view and comment on blog postings.  Account holders may create or moderate blog posts if they are given permission to do so by individual blog administrators.  Additionally, organizations may request their own blog hosted on ExpertVoices.  For more information, see <a href="http://expertvoices.nsdl.org/help/faq/" class="external text" title="http://expertvoices.nsdl.org/help/faq/" rel="nofollow">Expert Voices Blog Help</a> and <a href="http://expertvoices.nsdl.org/help/tutorials/login/" class="external text" title="http://expertvoices.nsdl.org/help/tutorials/login/" rel="nofollow">Expert Voices Registration and Sign In Tutorial</a>.  Expert Voices utilizes repository plug-ins to enable publishing of resources to the NSDL data repository.</dd>

  <dt>Wiki Pages for your Project</dt>
    <dd>If you sign up for an NSDL account, you can create general wiki pages on the NSDL Wiki.  A namespace can be created to identify the pages of your project allowing permissions within your namespace to be assigned to users.  For more information, see <a href="http://wiki.nsdl.org/index.php/Help:Contents" class="external text" title="http://wiki.nsdl.org/index.php/Help:Contents" rel="nofollow">NSDL Wiki Help</a> and <a href="http://wiki.nsdl.org/index.php/Help:Accounts" class="external text" title="http://wiki.nsdl.org/index.php/Help:Accounts" rel="nofollow">NSDL Wiki Registration and Sign In Instructions</a>.  NSDL Wiki utilizes repository plug-ins to enable publishing of resources to the NSDL data repository.</dd>
    
  <dt>Plugins for Mediawiki and Wordpress</dt>
    <dd>Repository plug-ins for Media Wiki and Word Press allow you to deploy your own instance of Media Wiki or Word Press and still have the ability to publish resouces to the NSDL Data Repository (NDR).  Source  downloads for <a href="http://sourceforge.net/project/showfiles.php?group_id=204090&amp;package_id=268145" class="external text" title="http://sourceforge.net/project/showfiles.php?group_id=204090&amp;package_id=268145" rel="nofollow">Word Press plugins</a> and <a href="http://sourceforge.net/project/showfiles.php?group_id=204090&amp;package_id=268147" class="external text" title="http://sourceforge.net/project/showfiles.php?group_id=204090&amp;package_id=268147" rel="nofollow">Media Wiki plugins</a> are available from Source Forge.</dd>

  <dt>Open Source NDR</dt>
    <dd>The NSDL data repository is implemented using an open source API from NCore wrapped around an instance of the Fedora Commons open source software.  This software is open for any one to download and use or modify to fit the needs of projects.  Downloads for the <a href="http://sourceforge.net/project/showfiles.php?group_id=204090&amp;package_id=244468" class="external text" title="http://sourceforge.net/project/showfiles.php?group_id=204090&amp;package_id=244468" rel="nofollow">NDR API source</a> are available from Source Forge.</dd>

  <dt>Strand Maps</dt>
    <dd>The Strand Map Service enables web developers to embed the interactive maps in a Web site and display educational resources or other customized information in the maps using a JavaScript API or REST API.  Collection builders can also align their resources to be displayed directly in the Science Literacy Maps.  For more information, see the <a href="http://strandmaps.nsdl.org/cms1-2/docs/index.jsp" class="external text" title="http://strandmaps.nsdl.org/cms1-2/docs/index.jsp" rel="nofollow">SMS API Documentation</a>, and <a href="/index.php/How_to_Align_Resources_to_Benchmarks" title="How to Align Resources to Benchmarks">Resource Alignment Instructions for Science Literacy Maps</a>.</dd>
</dl>

<hr><a name="extended"/>
<b>Extended Services</b>

<p>The Technical Network Services group is potentially available to develop tools, services and solutions that go well beyond the standard uses of NCore within NSDL. In some cases, we will be developing these new tools and services as part of our broad support mission for NSDL-funded projects. In other cases, when your project goals overlap with work that would be beneficial to the community, an additional contract for extended services can be arranged to provide resources for your project. </p>

<p>Examples of projects that we are implementing with additional funding include: </p>

<h4><img src="theme/images/bppb_logo_sm.jpg" />&nbsp;&nbsp;<a href="http://beyondpenguins.nsdl.org">Beyond Penguins and Polar Bears Magazine</a></h4>

<blockquote>Beyond Penguins and Polar Bears is an online magazine funded by the NSF International Polar Year program for K5 teachers that uses two NCore systems--On Ramp and Expert Voices--in combination to produce this focused monthly magazine. The news section of the magazine is generated by an Expert Voices blog. Each magazine section and individual article is cataloged in OnRamp and distributed via the OnFire extension to Fez for display on the magazine's web site.</blockquote>

<h4><img src="theme/images/nsf_access_logo_sm.jpg" />&nbsp;&nbsp;<a href="http://wiki.nsdl.org/index.php/NSF:Home">NSF SGER</a></h4>

<blockquote>NSF funded this specialized Wiki project in order to create access to Division of Undergraduate Education (DUE) research through inclusion in the National STEM Education Digital Library (NSDL). The NSF wiki pages make it easy for project Principal Investigators or their designees to contribute project results and information that may be"plugged into" the NSDL data repository using Media Wiki plug-ins. </blockquote>

<p>For more information, use the <a href="#contact">Request Contact</a> form.</p>

<hr><a name="contact"/>
<b>Contact Us</b>

<p>[DEPRECATED] Not sure how to get started? We've made every effort to include links to the documentation that would enable you to make use of the services and software described on this page. If you need further assistance, you can request for us to contact you on using the following form. If your question cannot be answered with an email, you will recieve an email with additional information on how to contact the person most appropriate for answering your question. </p>

<script type="text/javascript" src="/js/zxml/distrib/zxml.js"></script>
<script type="text/javascript" src="/js/validator/ralph_url_check.js"></script>
          <form name="contact_form">
            <input type="hidden" name="cat" value="new">
            <table class="form" cellspacing="1" cellpadding="2">
              <tr>
                <td class="form_msg" colspan="2">
<?php
// show results here
if( $showThankyou )
	echo "                  <span class='thankyou'>".$thankyou."</span>";
else if( $showFileError )
	echo "                  <span class='errormsg'>".$fileError."</span>";
else if( $showValidationError )
	echo "                  <span class='errormsg'>".$validationError."</span>";
?>
                </td>
              </tr>
              <tr>
                <th class="form" colspan="2">
                  Contact Request
                </th>
              </tr>
              <tr>
                <td class="form_label">
                  Contact:
                </td>
                <td class="form_data">
                  <table cellpadding="0" cellspacing="0" border="0">
                    <tr><td>Name: &nbsp;&nbsp;</td><td><input type="text" name="fldVisitorName" size="40" value="<?php echo $fldVisitorName;?>"></td></tr>
                    <tr><td>Email:</td><td><input type="text" name="fldVisitorEmail" size="40" value="<?php echo $fldVisitorEmail;?>"></td></tr>
                    <tr><td>Phone:</td><td><input type="text" name="fldVisitorPhone" size="40" value="<?php echo $fldVisitorPhone;?>"></td></tr>
                  </table>
                  <em>Include an email and phone number for contacting you if a question should arise related to your request.</em>
<script language="JavaScript">
<!--
required_fields[required_fields.length] = new Option('fldVisitorName',  'whitespace');
required_fields[required_fields.length] = new Option('fldVisitorEmail', 'whitespace');
required_fields[required_fields.length] = new Option('fldVisitorPhone', 'whitespace');
required_fields_titles[required_fields_titles.length] = new Option('fldVisitorName',  'Name');
required_fields_titles[required_fields_titles.length] = new Option('fldVisitorEmail', 'Email');
required_fields_titles[required_fields_titles.length] = new Option('fldVisitorPhone', 'Phone');
-->
</script>
                </td>
              </tr>
              <tr>
                <td class="form_label">
                  Affiliation:
                </td>
                <td class="form_data">
                  <input type="text" name="fldVisitorAffiliation" size="50" value="<?php echo $fldVisitorAffiliation;?>"><br>
                  <em>Pathways or organization name.</em>
<script language="JavaScript">
<!--
required_fields[required_fields.length] = new Option('fldVisitorAffiliation', 'whitespace');
required_fields_titles[required_fields_titles.length] = new Option('fldVisitorAffiliation', 'Affiliation');
-->
</script>
                </td>
              </tr>
              <tr>
                <td class="form_label" nowrap>
                  Question:
                </td>
                <td class="form_data">
                  <textarea name="fldQuestion" cols="50" rows="10"><?php echo $fldQuestion;?></textarea><br>
<script language="JavaScript">
<!--
required_fields[required_fields.length] = new Option('fldQuestion', 'whitespace');
required_fields_titles[required_fields_titles.length] = new Option('fldQuestion', 'Question');
-->
</script>
                </td>
              </tr>
			  <tr>
                <td class="form_label" nowrap>
                  Validation:
                </td>
                <td class="form_data">
			    	<table class="form_note"><tr><td>
        <h4>Validation Information</h4>
        <p>To submit this form, the code must exactly match, please check capitalization.</p>
                    </tr></td></table>
		<label for="captcha" class="labelInputText">Image:</label>
		<img src="theme/images/validator_code.php" alt="Type <?php echo $_SESSION['rand_verify_key']; ?> into the validation code field" width="120" height="40" vspace="1" align="top" />
		<br><br>
		<label for="fldValidator" class="labelInputText">Validation Code:</label>
		<input type="text" name="fldValidator" id="fldValidator" size="4" class="inputText"  />

<script language="JavaScript">
<!--
required_fields[required_fields.length] = new Option('fldValidator', 'whitespace');
required_fields_titles[required_fields_titles.length] = new Option('fldValidator', 'Validation');
-->
</script>
                </td>
              </tr>
              <tr >
                <td colspan="2" class="form_submit">
                                    <input class="button" type="submit" value="Submit Your Question">
                                    <input class="button" type="reset" value="Reset">
				                    <b>(All items are required.)</b>
                </td>
              </tr>
            </table>

		  </form>

        <?php if ($hasSubmenuMoreInfo) { ?>
            <p>For more information, see <?php echo $submenuMoreInfoLink?></p>.
        <?php } ?>

        </div>
                
    <!-- End of Content -->
    </div>

<?php
include ('theme/footer.php');
 ?>
