<?php
/*
 * -----------------------------------------------------------------------------
 * 
 * <p><b>License and Copyright: </b>The contents of this file are subject to
 * the Educational Community License (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the License
 * at <a href="http://www.opensource.org/licenses/ecl1.txt">
 * http://www.opensource.org/licenses/ecl1.txt.</a></p>
 * 
 * <p>Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.</p>
 * 
 * <p>The entire file consists of original code. Copyright &copy; 2004-2008
 * Cornell University. All rights reserved.</p>
 * 
 * -----------------------------------------------------------------------------
 */

//init
session_start();

/*
 * grab GET vars
 */
foreach ($_GET as $field => $value) {
    //right now, none of these are db fields and can't hurt anything
    $$field = $value;
}


/*
 * Includes
 */

// Constants
include('constants.php');

// RSS parser
include('simplepie.inc');

// Issue class, usses simplepie above.
include('SiteRSS.inc');

// Procedural functions
include('functions.php');

/*
 * Set the scene...
 */
$basedir = (eregi('tns', $_SERVER['REQUEST_URI'])) ? '/tns/' : '/';
$basedir = '/tns';
$baseurl = 'http://local.nsdl.org/tns/';

$jiradir = '/var/spool/jira/';

$test = (isset($test)) ? true : false;

// ########################################################################
//     Info subject to periodic updates START Here

$ext = "";
if($test){
	$ext = "&amp;test";  // if change to use something other than test, update header.php
} 

$date = (isset($date)) ? $date : "NOW";

// Dynamicly created url?
// Cached version will be at fetch.php versus generate.php
$error_code = $SUCCESS;
//$rss_url = "http://onramp.nsdl.org/distribute/fetch.php?destination=ncore_web&date=05/14/2008";
//$rss_url = "http://onramp.nsdl.org/distribute/fetch.php?did=35&behid=12";

//     Info subject to periodic updates END Here
// ########################################################################



if( $error_code != $SUCCESS ){
	$errURL = "../error.php?code=".$error_code."&date=".$date;	
	header("Location: ".$errURL);
}  
  
// Create new issue object and arrays
$site = new SiteRSS($rss_url);
$mainMenuItems = $site->getMainMenuList();

$show_submenus = true;
$footermenuItems = $site->getFooterMenuList();
if( !isset($menu)){
	// processing site page
	$show_submenus = false;
	$isFooterMenuItem = false;
	$menu = null;
	$submenu = null;
	$mainMenuInfo = null;
	$submenuItems = null;
	$submenuInfo = $site->getSiteItemInfo();
} else {
	if( $site->isFooterMenuItem($menu) ){
		// special footer page processing
		$show_submenus = false;
		$isFooterMenuItem = true;
	}
	
	// processing menu page
	$submenu = (isset($submenu)) ? $submenu : $site->getDefaultSubmenuID($menu);

	$mainMenuInfo = $site->getMainMenuItemInfo($menu);
	$submenuItems = $site->getSubmenuList($menu);
	$submenuInfo = $site->getSubmenuItemInfo($menu, $submenu);
}

// common processing for display of content page
$submenuImage = $site->getImage($submenuInfo);
$submenuAltText = $site->getImageText($submenuInfo);
$hasSubmenuImage = ( isset($submenuImage) && strlen($submenuImage) > 0 ) ? true : false;

$submenuMoreInfoLink = $site->getLink($submenuInfo);
$hasSubmenuMoreInfo = ( isset($submenuMoreInfoLink) && strlen($submenuMoreInfoLink) > 0 ) ? true : false;

// Create custom meta tag values:
$meta_title = $site->getWebsiteTitle() . ' -- ' . $submenuInfo['label'];;
$generated_meta_description = $submenuInfo['title'];

?>
