<?php
/*
 * -----------------------------------------------------------------------------
 * 
 * <p><b>License and Copyright: </b>The contents of this file are subject to
 * the Educational Community License (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the License
 * at <a href="http://www.opensource.org/licenses/ecl1.txt">
 * http://www.opensource.org/licenses/ecl1.txt.</a></p>
 * 
 * <p>Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.</p>
 * 
 * <p>The entire file consists of original code. Copyright &copy; 2004-2008
 * Cornell University. All rights reserved.</p>
 * 
 * -----------------------------------------------------------------------------
 */

/**
 * Returns the body content of the specified HTML file.
 *
 * @param string $filename
 * @return string
 */
function getbody($filename,$useFilenameAsDefault=false) {
    $errorText = "<div class='message'>I'm sorry, there has been an error in retrieving this page.</div>";
    // Need both checks because strpos will return 0 if it doesn't exist in the string at all
    if ((isset($filename)) && (strstr($filename, 'http')) && (strpos($filename, 'http')==0)) {
	    // Get the html from file
        $file = file_get_contents($filename);
    } else if ((isset($filename)) && ($useFilenameAsDefault)) {
		// Get the html directly from the RSS item
    	return decode($filename);
    } else {
        return $errorText;
    }
    if ((strpos('403', $http_response_header[0])) || (strpos('404', $http_response_header[0]))) {
        return $errorText;
    } else {    
        // Reduce it to the contents of the <body> tag
        $bodypattern = ".*<body[^>]*>";
        $bodyendpattern = "</body>.*";
        $noheader = eregi_replace($bodypattern, "", $file);
        $noheader = eregi_replace($bodyendpattern, "", $noheader);
        // Strip of whitespace at the beginning and the end
        trim($noheader); 
        return $noheader;       
    } 
}

function decode($value){
	$RSS_VALUE_DECODING = array( 
			array("&gt;",">"),
			array("&lt;","<"),
			array("&amp;","&"),
			array("&quot;","\""));

	$decoded_value = $value;
	for( $i = 0; $i < count($RSS_VALUE_DECODING); ++$i ){
		$decoded_value = str_replace(
				$RSS_VALUE_DECODING[$i][0], 
				$RSS_VALUE_DECODING[$i][1],
				$decoded_value ); 
	}
	return $decoded_value;
}

/*
 * Grabs blog rss for display on front page.
 */
function getBlogRSS() {
    // Create new issue object
    $blog_rss_url = 'http://expertvoices.nsdl.org/ncore/feed';
    $blog = new SimplePie($blog_rss_url);
    echo "<ul>";
    foreach ($blog->get_items() as $item) {
        echo "<li>
            <a href='{$item->get_link()}'>{$item->get_title()}</a>
            </li>";
    }
    echo "</ul>";
}


/*
 * Replace quotes so it doesnt' break the header code
 */
function cleanString ($string) {
    $searchString = '"';
    $replaceString = '&apos;';
    $text = str_replace($searchString, $replaceString, $string);  
    $text = html_entity_decode($text); 
    return $text; 
}

function randString($len=10){
	$str = '';
	for($i=0;$i<$len;$i++){
		switch(rand(1,2)){
			case 1: $str.=chr(rand(50,57));  break; //2-9
			case 2: $str.=chr(rand(65,90));  break; //A-Z
		}
	}
	return $str;
}

function getOptionTag($selectedValue, $optLabel, $optValue ){
	$selected = "";
	if( $selectedValue == $optValue )
		$selected = " selected";
	$opt = "<option label=\"".$optLabel."\" value=\"".$optValue."\"".$selected.">";
	return $opt;
}

?>