<?php
/*
 * -----------------------------------------------------------------------------
 * 
 * <p><b>License and Copyright: </b>The contents of this file are subject to
 * the Educational Community License (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the License
 * at <a href="http://www.opensource.org/licenses/ecl1.txt">
 * http://www.opensource.org/licenses/ecl1.txt.</a></p>
 * 
 * <p>Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.</p>
 * 
 * <p>The entire file consists of original code. Copyright &copy; 2004-2008
 * Cornell University. All rights reserved.</p>
 * 
 * -----------------------------------------------------------------------------
 */

include ('include/conf.php');
$meta_keywords = $submenuInfo['keywords'];
$meta_description = $submenuInfo['metadesc'];
include ('theme/header.php');

$submenuInfo['title'] = "NSDL Technical Network Services";
$submenuImage = "theme/images/tns_home.bmp";
$submenuInfo['description'] = 
  "<p>NSDL's Technical Network Services (TNS) has reframed ideas around how to present " .
  "digital resources using <a href=\"http://ncore.nsdl.org/\">NCore technology and services</a> " .
  "that were developed in response to the Web's rapidly evolving social and educational " .
  "contexts. One view of a national vision for cyberlearning was introduced in the NSF " .
  "report \"<a href=\"http://www.nsf.gov/publications/pub_summ.jsp?ods_key=nsf08204\">Fostering " .
  "Learning in the Networked World: The Cyberlearning Opportunity and Challenge</a>.\" On " .
  "these pages you will find information about how to use TNS along with links to hands-on " .
  "documentation and and use cases. This gateway web site connects NSDL communities of " .
  "Pathways, projects, and partners to technical services and support for networked " .
  "resource discovery, contribution, cataloging, harvest, and access to blogs, and " .
  "wikis. </p>";
$hasSubmenuMoreInfo = false;
?>
    
    <!-- Start of Content -->
    <div id="content">
    
        <div id='submenuContent'>
          <?php echo "<h4>{$submenuInfo['title']}</h4>"; ?>

        <?php if ($hasSubmenuImage) { ?>
            <img class="submenuImage" src="<?php echo $submenuImage;?>" alt="<?php echo $submenuAltText;?>">
        <?php } ?>

        <?php 
        if ($submenuInfo['description']) { 
            echo getBody($submenuInfo['description'],true);
            //echo html_entity_decode($submenuInfo['description']);
        } else {
            echo "There has been an error obtaining this page.";
        }

        ?>
        <?php if ($hasSubmenuMoreInfo) { ?>
            <p>For more information, see <?php echo $submenuMoreInfoLink?></p>.
        <?php } ?>
        </div>
        
    <!-- End of Content -->
    </div>
    
<?php
include ('theme/footer.php');
 ?>