<?php
/*
 * -----------------------------------------------------------------------------
 * 
 * <p><b>License and Copyright: </b>The contents of this file are subject to
 * the Educational Community License (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the License
 * at <a href="http://www.opensource.org/licenses/ecl1.txt">
 * http://www.opensource.org/licenses/ecl1.txt.</a></p>
 * 
 * <p>Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.</p>
 * 
 * <p>The entire file consists of original code. Copyright &copy; 2004-2008
 * Cornell University. All rights reserved.</p>
 * 
 * -----------------------------------------------------------------------------
 */

include ('include/conf.php');
$meta_keywords = $submenuInfo['keywords'];
$meta_description = $submenuInfo['metadesc'];
$menu = "nc";
include ('theme/header.php');

$submenuInfo['title'] = "Philosophy behind the NCore Platform in support of the NSDL Technical Network Services";
$submenuImage = "theme/images/NCore_logoF2.jpg";
$submenuInfo['description'] = ""; 
$hasSubmenuMoreInfo = false;
?>
    
    <!-- Start of Content -->
    <div id="content">
    
        <div id='submenuContent'>
          <?php echo "<h4>{$submenuInfo['title']}</h4>"; ?>

        <?php if ($hasSubmenuImage) { ?>
            <img class="submenuImage" src="<?php echo $submenuImage;?>" alt="<?php echo $submenuAltText;?>">
        <?php } ?>
        <?php 
//        if ($submenuInfo['description']) { 
//            echo getBody($submenuInfo['description'],true);
//            //echo html_entity_decode($submenuInfo['description']);
//        } else {
//            echo "There has been an error obtaining this page.";
//        }

        ?>

<p>Details of NCore Tools and Services can be found at the <a href="http://ncore.nsdl.org">NCore website</a>.</p>

<p>NCore is the NSDL open-source suite of tools and services for creating production digital libraries, such as NSDL.org, repository systems, and content-rich STEM learning environments. A core function of the NSDL Technical Network Services (TNS) is to support, maintain, and extend this platform to meet the evolving needs of the NSDL and STEM communities.</p> 
<p>NCore's development is guided by a number of key architectural design principles:</p>
<ul>
<li>Build on robust, open-source technologies and employ open vendor-neutral standards, protocols and architectures</li>
<li>Follow a web-services based architecture to enable library tools and services to be easily combined and embedded in end-users' teaching and learning workflows, and used by third parties to create innovative libraries, portals, and learning applications</li>
<li>Employ modular design to ensure that tools and services can be easily added, independently modified, and removed as needed without impacting other operations</li>
<li>Listen to the specific needs of community members in order to identify general solutions of broad utility that can be configured to meet a wide range of educational needs across the full sweep of disciplines and audiences that make up NSDL.</li>
</ul>
<p>The role of the NCore platform in the three tier NSDL technical infrastructure as a mediator between community-contributed collections and audience-specific portals, tools and learning applications is shown in Figure 1. The NSDL Data Repository forms the heart of NCore; the platform also consists of a number of tools and services for digital librarians and end-users, including search services, the NSDL Collection System, the Strand Map Service, the Expert Voices blogging system, and a repository-integrated wiki for collaborative authoring around NSDL resources. Most of these components are released on SourceForge under open source licenses.</p>

<table cellpadding="5" cellspacing="0" border="1" width="100%">
<tr><td width="100%" align="center">
<img src="theme/images/architecture.jpg" />
</td></tr>
<tr><td width="100%" align="center">
Figure 1: The NSDL Technical Network Services architecture and existing Infrastructure
</td></tr>
</table>

<p>Get a copy of the <a href="http://onramp.nsdl.org/eserv/onramp:1358/The_NCore_Platform__distribute__rev2.doc">NCore Document</a> from the NSDL Annual Meeting 2008.</p>

        <?php if ($hasSubmenuMoreInfo) { ?>
            <p>For more information, see <?php echo $submenuMoreInfoLink?></p>.
        <?php } ?>
        </div>
        
    <!-- End of Content -->
    </div>
    
<?php
include ('theme/footer.php');
 ?>


