<?php
/*
 * -----------------------------------------------------------------------------
 * 
 * <p><b>License and Copyright: </b>The contents of this file are subject to
 * the Educational Community License (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the License
 * at <a href="http://www.opensource.org/licenses/ecl1.txt">
 * http://www.opensource.org/licenses/ecl1.txt.</a></p>
 * 
 * <p>Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.</p>
 * 
 * <p>The entire file consists of original code. Copyright &copy; 2004-2008
 * Cornell University. All rights reserved.</p>
 * 
 * -----------------------------------------------------------------------------
 */

include ('include/conf.php');
$meta_keywords = $submenuInfo['keywords'];
$meta_description = $submenuInfo['metadesc'];
$includeValidationCode = true;
$menu = "sug";
include ('theme/header.php');

$debugging = false;

$thankyou = "Thank you for your suggestion.";
$showThankyou = false;

$fileError = "I'm sorry, a system error occurred while processing your suggestion.  Please try again later OR submit a general request to NSDL at <a href='http://nsdl.org/about/contactus/'>Contact NSDL</a>.";
$showFileError = false;

$validationError = "ERROR: Incorrect Validation Code";
$showValidationError = false;

$submenuInfo['title'] = "Suggestions for Technical Network Services";
$submenuImage = "theme/images/puzzle_150.jpg";
$submenuInfo['description'] = 
  "<p>[DEPRECATED] Ideas for new systems and enhancements to existing systems can be submitted " .
  "below.  We examine all suggestions in light of the overall mission for NSDL and " .
  "the needs of the entire community.</p>";
$hasSubmenuMoreInfo = false;
?>

<?php
$fldSystem             = $_POST['fldSystem'];
$fldVisitorName        = $_POST['fldVisitorName'];
$fldVisitorEmail       = $_POST['fldVisitorEmail'];
$fldVisitorPhone       = $_POST['fldVisitorPhone'];
$fldVisitorAffiliation = $_POST['fldVisitorAffiliation'];
$fldSuggestion         = $_POST['fldSuggestion'];
$fldPermission         = $_POST['fldPermission'];
$fldValidator          = $_POST['fldValidator'];

$fldSystem             = isset($fldSystem) ? $fldSystem : "";
$fldVisitorName        = isset($fldVisitorName) ? $fldVisitorName : "";
$fldVisitorEmail       = isset($fldVisitorEmail) ? $fldVisitorEmail : "";
$fldVisitorPhone       = isset($fldVisitorPhone) ? $fldVisitorPhone : "";
$fldVisitorAffiliation = isset($fldVisitorAffiliation) ? $fldVisitorAffiliation : "";
$fldSuggestion         = isset($fldSuggestion) ? $fldSuggestion : "";
$fldPermission         = isset($fldPermission) ? $fldPermission : "NO";
$fldValidator          = isset($fldValidator) ? $fldValidator : "";

if (@$HTTP_POST_VARS["cat"] == "new") {
	if($fldValidator != $_SESSION['rand_verify_key']) {
		$showValidationError = true;
	} else {
		// process form data here
		$subject = substr(trim(preg_replace('/\s\s+/', ' ', $fldSuggestion)),0,135);
		$txt =  "From: contactus@nsdl.org".
				"\nTo: contactus@nsdl.org".
				"\nSubject: Suggestions Form: ".$subject.
				"\nDate: ".date('D, d M Y H:i:s O').
				"\n".
				"\nComponent: ".$fldSystem.";".
				"\n".
				"\n-------------------".
				"\nContact Information".
				"\n-------------------".
				"\nName: ".$fldVisitorName.";".
				"\nEmail: ".$fldVisitorEmail.";".
				"\nPhone: ".$fldVisitorPhone.";".
				"\nAffiliation: ".$fldVisitorAffiliation.";".
				"\n".
				"\n-------------------".
				"\nSuggestion".
				"\n-------------------".
				"\nPermission to Share: ".$fldPermission.
				"\n".
				"\n".$fldSuggestion.
				"\n\n";
		
		// save to file
		$prefix = "sug_form_";
		$index = 0;
		$file_exists = true;
		do{
			$filename = $jiradir.$prefix.$index;
			if( file_exists($filename))
				$index++;
			else
				$file_exists = false;
		}while( $file_exists );
		
		$ferr=0;
		if($ferr==0){$fil = fopen($filename,'x'); if( $fil === false ) $ferr=1; } 
		if($ferr==0){$num_bytes = fwrite($fil,$txt); if( $num_bytes === false ) $ferr=2; }
		if($ferr==0){$res = fclose($fil); if($res === false) $ferr=3; }

		switch($ferr){
			case 0:
				$showThankyou = true;
				break;
			case 1:
				$showFileError = true;
// message to show when debugging
if($debugging)$fileError = "Unable to create file.";
				break;
			case 2:
				$showFileError = true;
// message to show when debugging
if($debugging)$fileError = "Error writing to file.";
				break;
			case 3:
				$showFileError = true;
// message to show when debugging
if($debugging)$fileError = "Error closing file.";
				break;
			default:
				$showFileError = true;
				break;
		}		
// debugging
if($debugging && $ferr>0) echo "<pre>".$txt."</pre>";
	} // end validation successful
	
	// unset wether or not validation was successful
	unset($_SESSION['rand_verify_key']);
	
} // end form was submitted processing

// check to see if we need to generate a new validation key
if(empty($_SESSION['rand_verify_key'])){
	$_SESSION['rand_verify_key'] = randString(4);
}
?>

    <!-- Start of Content -->
    <div id="content">
    
        <div id='submenuContent'>
          <h4><?php echo $submenuInfo['title']; ?></h4>

        <?php if ($hasSubmenuImage) { ?>
            <img class="submenuImage" src="<?php echo $submenuImage;?>" alt="<?php echo $submenuAltText;?>">
        <?php } ?>
        <?php 
        if ($submenuInfo['description']) { 
            echo getBody($submenuInfo['description'],true);
            //echo html_entity_decode($submenuInfo['description']);
        } else {
            echo "There has been an error obtaining this page.";
        }

		// show form here
        ?>
          <form name="suggestion_form" >
            <input type="hidden" name="cat" value="new">
            <table class="form" cellspacing="1" cellpadding="2">
              <tr>
                <td class="form_msg" colspan="2">
<?php
// show results here
if( $showThankyou )
	echo "                  <span class='thankyou'>".$thankyou."</span>";
else if( $showFileError )
	echo "                  <span class='errormsg'>".$fileError."</span>";
else if( $showValidationError )
	echo "                  <span class='errormsg'>".$validationError."</span>";
?>
                </td>
              </tr>
              <tr>
                <th class="form" colspan="2">
                  Suggestions
                </th>
              </tr>
              <tr>
                <td width="300px" class="form_label">
                  System:
                </td>
                <td width="10px" class="form_data">
					<select id="fldSystem" name="fldSystem">
                       <option label="Select one..." value="-1"/>
                       <?php echo getOptionTag($fldSystem,"NSDL.org","NSDL.org");?>
					   <?php echo getOptionTag($fldSystem,"NDR","NDR");?>
					   <?php echo getOptionTag($fldSystem,"Search","Search");?>
					   <?php echo getOptionTag($fldSystem,"Expert Voices","ExpertVoices");?>
					   <?php echo getOptionTag($fldSystem,"NSDL Wiki","NSDLwiki");?>
					   <?php echo getOptionTag($fldSystem,"OnRamp","OnRamp");?>
					   <?php echo getOptionTag($fldSystem,"Strand Maps","StrandMaps");?>
					   <?php echo getOptionTag($fldSystem,"NCS","NCS");?>
                       <?php echo getOptionTag($fldSystem,"Other","Other");?>
					</select><br />
<script language="JavaScript">
<!--
required_fields[required_fields.length] = new Option('fldSystem', 'combo');
required_fields_titles[required_fields_titles.length] = new Option('fldSystem', 'System');
-->
</script>
			    </td>
              </tr>
              <tr>
                <td class="form_label">
                  Contact:
                </td>
                <td class="form_data">
                  <table cellpadding="0" cellspacing="0" border="0">
                    <tr><td>Name: &nbsp;&nbsp;</td><td><input type="text" name="fldVisitorName" size="40" value="<?php echo $fldVisitorName;?>"></td></tr>
                    <tr><td>Email:</td><td><input type="text" name="fldVisitorEmail" size="40" value="<?php echo $fldVisitorEmail;?>"></td></tr>
                    <tr><td>Phone:</td><td><input type="text" name="fldVisitorPhone" size="40" value="<?php echo $fldVisitorPhone;?>"></td></tr>
                  </table>
                  <em>Include an email and phone number for contacting you if a question should arise related to your request.</em>
<script language="JavaScript">
<!--
required_fields[required_fields.length] = new Option('fldVisitorName',  'whitespace');
required_fields[required_fields.length] = new Option('fldVisitorEmail', 'whitespace');
required_fields[required_fields.length] = new Option('fldVisitorPhone', 'whitespace');
required_fields_titles[required_fields_titles.length] = new Option('fldVisitorName',  'Name');
required_fields_titles[required_fields_titles.length] = new Option('fldVisitorEmail', 'Email');
required_fields_titles[required_fields_titles.length] = new Option('fldVisitorPhone', 'Phone');
-->
</script>
                </td>
              </tr>
              <tr>
                <td class="form_label">
                  Affiliation:
                </td>
                <td class="form_data">
                  <input type="text" name="fldVisitorAffiliation" size="50" value="<?php echo $fldVisitorAffiliation;?>"><br>
                  <em>Pathways or organization name.</em>
<script language="JavaScript">
<!--
required_fields[required_fields.length] = new Option('fldVisitorAffiliation', 'whitespace');
required_fields_titles[required_fields_titles.length] = new Option('fldVisitorAffiliation', 'Affiliation');
-->
</script>
                </td>
              </tr>
              <tr>
                <td class="form_label" nowrap>
                  Suggestion:
                </td>
                <td class="form_data">
                  <textarea name="fldSuggestion" cols="50" rows="10"><?php echo $fldSuggestion;?></textarea><br>
                  <input type="checkbox" id="fldPermission" name="fldPermission" value="YES" <?php if($fldPermission=="YES") echo "checked ";?>/><label for="permission">Permission to anonymously share these suggestions with the NSDL Community.</label>
<script language="JavaScript">
<!--
required_fields[required_fields.length] = new Option('fldSuggestion', 'whitespace');
required_fields_titles[required_fields_titles.length] = new Option('fldSuggestion', 'Suggestion');
-->
</script>
                </td>
              </tr>
			  <tr>
                <td class="form_label" nowrap>
                  Validation:
                </td>
                <td class="form_data">
			    	<table class="form_note"><tr><td>
        <h4>Validation Information</h4>
        <p>To submit this form, the code must exactly match, please check capitalization.</p>
                    </tr></td></table>
		<label for="captcha" class="labelInputText">Image:</label>
		<img src="theme/images/validator_code.php" alt="Type <?php echo $_SESSION['rand_verify_key']; ?> into the validation code field" width="120" height="40" vspace="1" align="top" />
		<br><br>
		<label for="fldValidator" class="labelInputText">Validation Code:</label>
		<input type="text" name="fldValidator" id="fldValidator" size="4" class="inputText"  />

<script language="JavaScript">
<!--
required_fields[required_fields.length] = new Option('fldValidator', 'whitespace');
required_fields_titles[required_fields_titles.length] = new Option('fldValidator', 'Validation');
-->
</script>
                </td>
              </tr>
              <tr >
                <td colspan="2" class="form_submit">
                                    <input class="button" type="submit" value="Submit Your Suggestion">
                                    <input class="button" type="reset" value="Reset">
				                    <b>(All items are required.)</b>
                </td>
              </tr>
            </table>

		  </form>

        <?php if ($hasSubmenuMoreInfo) { ?>
            <p>For more information, see <?php echo $submenuMoreInfoLink?></p>.
        <?php } ?>

        </div>
                
    <!-- End of Content -->
    </div>

    
<?php
include ('theme/footer.php');
 ?>
