<?php
/*
 * -----------------------------------------------------------------------------
 * 
 * <p><b>License and Copyright: </b>The contents of this file are subject to
 * the Educational Community License (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the License
 * at <a href="http://www.opensource.org/licenses/ecl1.txt">
 * http://www.opensource.org/licenses/ecl1.txt.</a></p>
 * 
 * <p>Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.</p>
 * 
 * <p>The entire file consists of original code. Copyright &copy; 2004-2008
 * Cornell University. All rights reserved.</p>
 * 
 * -----------------------------------------------------------------------------
 */
// Start session if we need it.
//session_start();

if( $meta_keywords == null || strlen($meta_keywords) <= 0 )
	$meta_keywords = "NSDL, TNS, Technical Network Services, NCore, Core Integration, Technical";
if( $meta_description == null || strlen($meta_description) <= 0 )
	$meta_description = $generated_meta_description;	

$tagline = "The National Science Digital Library's Platform for Cyberlearning";

$includeValidationCode = (isset($includeValidationCode)) ? $includeValidationCode : false;

// there aren't any submenus at this time
$meta_title = "NSDL Technical Network Services";
$show_submenus = false; 

$mainMenuItems = array();
$mainMenuItems[0]['id']    = "gs";
$mainMenuItems[0]['title'] = "Getting Started";
$mainMenuItems[0]['link']  = "gettingStarted.php";
$mainMenuItems[1]['id']    = "nc";
$mainMenuItems[1]['title'] = "NCore";
$mainMenuItems[1]['link']  = "ncore.php";
$mainMenuItems[2]['id']    = "sug";
$mainMenuItems[2]['title'] = "Suggestions";
$mainMenuItems[2]['link']  = "suggestions.php";
$mainMenuItems[3]['id']    = "faq";
$mainMenuItems[3]['title'] = "FAQ";
$mainMenuItems[3]['link']  = "faq.php";

$baseURL = 'http://local.nsdl.org/tns/';
$homeURL = '/tns/';
if( $test==true ){ $homeURL .= "?test"; }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta http-equiv="Content-Style-Type" content="text/css" />    
	<meta name="keywords" content="<?php echo $meta_keywords; ?>" />
	<meta name="description" content="<?php echo $meta_description; ?>" />
	<meta name="copyright" content="September 2008" />
	<meta name="robots" content="noindex,nofollow" />
	<title><?php echo $meta_title; ?></title>
	<link href="<?php echo $baseurl; ?>theme/style.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $baseurl; ?>theme/template.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $baseurl; ?>theme/print.css" rel="stylesheet" type="text/css" media="print" />

<?php if($includeValidationCode){ ?>

<script language="JavaScript" type="text/javascript" src="js/global.js"></script>
<script language="JavaScript" type="text/javascript" src="js/validation.js"></script>
<script language="JavaScript">
<!--
	var required_fields = new Array();
	var required_fields_titles = new Array();


	function validateForm(f) {
		checkRequiredFieldsExt(f, required_fields, required_fields_titles);
	}

	var errors = null;

	function checkFormSubmission(f, callback_func)
	{
		errors = new Array();
		eval(callback_func + '(f);');
		if (errors.length > 0) {
			// loop through all of the broken fields and select them
			var fields = '';
			for (var i = 0; i < errors.length; i++) {
				selectField(f, errors[i].value);
				fields += '- ' + errors[i].text + "\n";
			}
			// show a big alert box with the missing information
			alert("The following fields need to be filled out or corrected:\n\n" + fields + "\nPlease complete the form and try again.");
			return false;
		} else {
			return true;
		}
	}
-->
</script>
<?php } ?>
	
</head>
<body>
    <!-- Heading -->
	<div id="heading">
		<div style="float:right;margin:4px 10px;border: 2px dotted black;padding: 0 5px;background-color: #EEEEEE;">
			<p><a href="/" style="color:red;font-weight:bold;font-size: 14px;">[Return to NSDL Archive Project]</a></p>
		</div>
		<a href="<?php echo $homeURL; ?>">
		<img src="<?php echo $baseurl; ?>theme/images/TNS_logo_84pa.jpg" alt="NSDL: Technical Network Services" class="noborder"  />
<!-- 	<img src="<?php //echo $issue->getWebsiteLogo('url'); ?>"
		alt="<?php //echo $issue->getWebsiteLogo('alt'); ?>" class="noborder"/> 
-->
		</a>
		<!-- Future home of tns.nsdl.org  -->
		<h4><?php echo $tagline;?></h4>
	</div> 

    <!-- This is for media=print only -->
	<div id="printHeader">
		<h3>NSDL: Technical Network Services</h3>
	</div>
	
	<!--  Menu Bar -->
    <div id="mainmenu_box" >
    	<div>
        <?php
        //Main Menu links
			if( $menu == null )
                echo "\t<span class='selected'>Home</span>\n";
			else
	            echo "\t<a href='.'>Home</a>\n";
            foreach ($mainMenuItems as $menuItem) {
//				if( $menuItem['id'] == $menu && $show_submenus )
				if( $menuItem['id'] == $menu )
	                echo "\t<span class='selected'>{$menuItem['title']}</span>\n";
				else
//    	            echo "\t<a href='index.php?menu={$menuItem['id']}{$ext}'>{$menuItem['title']}</a>\n";
    	            echo "\t<a href='{$menuItem['link']}{$ext}'>{$menuItem['title']}</a>\n";
            }
        ?>
        </div>
    </div>
    <?php if( $show_submenus ) { ?>
    <div id="menu_gap">&nbsp;</div>
    <div id="submenu_box" >
    	<div>
        <?php
            foreach ($submenuItems as $submenuItem) {
				if( $submenuItem['id'] == $submenu ){
					$sclass = 'selected';	
					if( strlen($submenuItem['label']) >= 25 )
						$sclass = 'selectedl';
	                echo "\t<span class='{$sclass}'>{$submenuItem['label']}</span>\n";
				} else {
					$usclass = 'center';	
					if( strlen($submenuItem['label']) >= 25 )
						$usclass = 'centerl';
    	            echo "\t<a class='{$usclass}' href='index.php?menu={$menu}&submenu={$submenuItem['id']}{$ext}'>{$submenuItem['label']}</a>\n";
				}
            }
        ?>
        </div>
    </div>
    <?php } // end !isFooterMenuItem ?>
	<!-- end of header -->